{% extends 'admin/model/list.html' %}

{% block model_menu_bar_before_filters %}
    <li id="here" class="form-row">
        <a href="/admin/stitcher/?discover=1" title="Discover New Stitchers">Discover</a>
    </li>
{% endblock %}

{% block list_row_actions %}
    {% set online = row.name in session.stitcher_names %}
    {% if online %}
        {% set btn_class = 'btn-success' %}
    {% else %}
        {% set btn_class = 'btn-default' %}
    {% endif %}
    <div class="btn btn-sm {{ btn_class }}"></div>
    {{ super() }}
    {% if online %}
        <form class="icon" method="POST" action="/admin/stitcher/action/">
            <input id="action" name="action" value="restart" type="hidden">
            <input id="rowid" name="rowid" value="{{ get_pk_value(row) }}" type="hidden">
            <button onclick="return confirm('Restart?');" title="Restart">
                <span class="fa fa-ok glyphicon glyphicon-repeat"></span>
            </button>
        </form>
    {% endif %}
    <form class="icon" method="POST" action="/admin/stitcher/action/">
        <input id="action" name="action" value="get_image" type="hidden">
        <input id="rowid" name="rowid" value="{{ get_pk_value(row) }}" type="hidden">
        <button title="Make Preview">
            <span class="fa fa-ok glyphicon glyphicon-camera"></span>
        </button>
    </form>
{% endblock %}

{% block model_list_table %}
    {{ super() }}
    <iframe src="{{ admin_view.kibana_report_url }}" height="3500" width="100%"></iframe>
{% endblock %}